> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List settings pages

> The settings pages you may see, with each field's key, type, allowed values and whether a change
needs your confirmation. Secrets (keys, tokens, signing secrets) are never returned.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /settings/pages
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /settings/pages:
    get:
      tags:
        - Settings
      summary: List settings pages
      description: >-
        The settings pages you may see, with each field's key, type, allowed
        values and whether a change

        needs your confirmation. Secrets (keys, tokens, signing secrets) are
        never returned.
      operationId: GetSettingPages
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  pages:
                    items:
                      properties:
                        canChange:
                          type: boolean
                        description:
                          type: string
                        path:
                          type: string
                        name:
                          type: string
                        key:
                          type: string
                        whyNot: {}
                        items:
                          properties:
                            ops:
                              items:
                                type: string
                              type: array
                            nameKey:
                              type: string
                          required:
                            - ops
                            - nameKey
                          type: object
                        perSite:
                          type: boolean
                        fields:
                          items:
                            properties:
                              description:
                                type: string
                              type:
                                $ref: '#/components/schemas/SettingType'
                              label:
                                type: string
                              key:
                                type: string
                              values:
                                items:
                                  type: string
                                type: array
                              min:
                                type: number
                                format: double
                              max:
                                type: number
                                format: double
                              needsConfirmation:
                                type: string
                              secret:
                                type: boolean
                              readOnly:
                                type: boolean
                            required:
                              - description
                              - type
                              - label
                              - key
                            type: object
                          type: array
                        notCovered:
                          type: string
                      required:
                        - canChange
                        - description
                        - path
                        - name
                        - key
                        - fields
                      type: object
                    type: array
                  notForYou:
                    items:
                      properties:
                        whyNot:
                          type: string
                        name:
                          type: string
                        key:
                          type: string
                      required:
                        - whyNot
                        - name
                        - key
                      type: object
                    type: array
                required:
                  - pages
                type: object
      security:
        - jwt: []
components:
  schemas:
    SettingType:
      type: string
      enum:
        - boolean
        - string
        - text
        - number
        - enum
        - color
        - url
        - stringList
        - json
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.